Package be.e_contract.ejsf.component.webauthn

# Class WebAuthnRegisteredEvent

java.lang.Object
java.util.EventObject
javax.faces.event.FacesEvent
javax.faces.event.BehaviorEvent
javax.faces.event.AjaxBehaviorEvent
org.primefaces.event.AbstractAjaxBehaviorEvent
be.e_contract.ejsf.component.webauthn.WebAuthnRegisteredEvent

All Implemented Interfaces:
  `Serializable`

public class WebAuthnRegisteredEvent extends org.primefaces.event.AbstractAjaxBehaviorEvent

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnRegisteredEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior, String username, com.yubico.webauthn.RegisteredCredential registeredCredential, Set<com.yubico.webauthn.data.AuthenticatorTransport> authenticatorTransports, com.yubico.webauthn.data.UserIdentity userIdentity, com.yubico.webauthn.data.AuthenticatorAttestationResponse authenticatorAttestationResponse, Boolean residentKey, X509Certificate attestationCertificate, Boolean prf, boolean attestationTrusted)`

## Method Summary

Modifier and Type
Method
Description
`X509Certificate`
`getAttestationCertificate()`
`com.yubico.webauthn.data.AuthenticatorAttestationResponse`
`getAuthenticatorAttestationResponse()`
`Set<com.yubico.webauthn.data.AuthenticatorTransport>`
`getAuthenticatorTransports()`
`Boolean`
`getPrf()`
`com.yubico.webauthn.RegisteredCredential`
`getRegisteredCredential()`
`Boolean`
`getResidentKey()`
`com.yubico.webauthn.data.UserIdentity`
`getUserIdentity()`
`String`
`getUsername()`
`boolean`
`isAttestationTrusted()`

### Methods inherited from class org.primefaces.event.AbstractAjaxBehaviorEvent

`isAppropriateListener, processListener`

### Methods inherited from class javax.faces.event.BehaviorEvent

`getBehavior`

### Methods inherited from class javax.faces.event.FacesEvent

`getComponent, getFacesContext, getPhaseId, queue, setPhaseId`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### WebAuthnRegisteredEvent

public WebAuthnRegisteredEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior, String username, com.yubico.webauthn.RegisteredCredential registeredCredential, Set<com.yubico.webauthn.data.AuthenticatorTransport> authenticatorTransports, com.yubico.webauthn.data.UserIdentity userIdentity, com.yubico.webauthn.data.AuthenticatorAttestationResponse authenticatorAttestationResponse, Boolean residentKey, X509Certificate attestationCertificate, Boolean prf, boolean attestationTrusted)

## Method Details

### getUsername

public String getUsername()

### getRegisteredCredential

public com.yubico.webauthn.RegisteredCredential getRegisteredCredential()

### getAuthenticatorTransports

public Set<com.yubico.webauthn.data.AuthenticatorTransport> getAuthenticatorTransports()

### getUserIdentity

public com.yubico.webauthn.data.UserIdentity getUserIdentity()

### getAuthenticatorAttestationResponse

public com.yubico.webauthn.data.AuthenticatorAttestationResponse getAuthenticatorAttestationResponse()

### getResidentKey

public Boolean getResidentKey()

### getAttestationCertificate

public X509Certificate getAttestationCertificate()

### getPrf

public Boolean getPrf()

### isAttestationTrusted

public boolean isAttestationTrusted()